Package org.apache.sysds.runtime.compress.colgroup.dictionary

# Enum Class DictionaryFactory.Type

java.lang.Object
java.lang.Enum<DictionaryFactory.Type>
org.apache.sysds.runtime.compress.colgroup.dictionary.DictionaryFactory.Type

All Implemented Interfaces:
  `Serializable`, `Comparable<DictionaryFactory.Type>`, `Constable`

Enclosing interface:
  DictionaryFactory

public static enum DictionaryFactory.Type extends Enum<DictionaryFactory.Type>

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`DELTA_DICT`
`FP64_DICT`
`IDENTITY`
`IDENTITY_SLICE`
`INT8_DICT`
`MATRIX_BLOCK_DICT`
`PLACE_HOLDER`

## Method Summary

Modifier and Type
Method
Description
`static DictionaryFactory.Type`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static DictionaryFactory.Type[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### FP64_DICT

public static final DictionaryFactory.Type FP64_DICT

### MATRIX_BLOCK_DICT

public static final DictionaryFactory.Type MATRIX_BLOCK_DICT

### INT8_DICT

public static final DictionaryFactory.Type INT8_DICT

### IDENTITY

public static final DictionaryFactory.Type IDENTITY

### IDENTITY_SLICE

public static final DictionaryFactory.Type IDENTITY_SLICE

### PLACE_HOLDER

public static final DictionaryFactory.Type PLACE_HOLDER

### DELTA_DICT

public static final DictionaryFactory.Type DELTA_DICT

## Method Details

### values

public static DictionaryFactory.Type[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static DictionaryFactory.Type valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null